Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class PopulateChunkEvent.Pre

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.ChunkProviderEvent
              net.minecraftforge.event.terraingen.PopulateChunkEvent
                  net.minecraftforge.event.terraingen.PopulateChunkEvent.Pre

Enclosing class:
  PopulateChunkEvent

    public static class PopulateChunkEvent.Pre

extends PopulateChunkEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent
`PopulateChunkEvent.Populate, PopulateChunkEvent.Post, PopulateChunkEvent.Pre`

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary

Fields inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent
`chunkX, chunkZ, hasVillageGenerated, rand, world`

Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent
`chunkProvider`

Constructor Summary
`PopulateChunkEvent.Pre(IChunkProvider chunkProvider, World world, Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopulateChunkEvent.Pre

    public PopulateChunkEvent.Pre(IChunkProvider chunkProvider,
                                  World world,
                                  Random rand,
                                  int chunkX,
                                  int chunkZ,
                                  boolean hasVillageGenerated)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD